var React = require('react');
var reactCodemirror2 = require('react-codemirror2');
var codemirrorTs = require('@mettl/codemirror-ts');
require('codemirror/lib/codemirror.css');
require('codemirror/theme/material.css');
require('codemirror/addon/hint/show-hint');
require('codemirror/addon/hint/sql-hint');
require('codemirror/addon/hint/show-hint.css');

var CodeMirrorView = function CodeMirrorView(props) {
  var options = {
    mode: props.mode,
    lineNumbers: true,
    matchBrackets: true,
    autoCloseBrackets: true,
    readOnly: props.isReadOnly,
    gutters: ["CodeMirror-lint-markers", "warningPoint"],
    extraKeys: {
      "Ctrl-Space": "autocomplete"
    }
  };

  var onChangeHandler = function onChangeHandler(_editor, _data, _value) {
    props.onValueChange(_value);
  };

  var onCopy = function onCopy(_editor, _event) {
    codemirrorTs.MettlCodeMirror.onCopy(_editor, _event);
  };

  var onCut = function onCut(_editor, _event) {
    codemirrorTs.MettlCodeMirror.onCut(_editor, _event);
  };

  var onBeforeChange = function onBeforeChange(_editor, _data, _value, _next) {
    codemirrorTs.MettlCodeMirror.pasteOnCodeMirror(_editor, _data);

    _next();
  };

  return React.createElement(React.Fragment, null, React.createElement(reactCodemirror2.UnControlled, {
    value: props.value,
    options: options,
    onBeforeChange: onBeforeChange,
    onChange: onChangeHandler,
    onCopy: onCopy,
    onCut: onCut
  }));
};

module.exports = CodeMirrorView;
//# sourceMappingURL=index.js.map
