import { createElement, Fragment } from 'react';
import { UnControlled } from 'react-codemirror2';
import { MettlCodeMirror } from '@mettl/codemirror-ts';
import 'codemirror/lib/codemirror.css';
import 'codemirror/theme/material.css';
import 'codemirror/addon/hint/show-hint';
import 'codemirror/addon/hint/sql-hint';
import 'codemirror/addon/hint/show-hint.css';

var CodeMirrorView = function CodeMirrorView(props) {
  var options = {
    mode: props.mode,
    lineNumbers: true,
    matchBrackets: true,
    autoCloseBrackets: true,
    readOnly: props.isReadOnly,
    gutters: ["CodeMirror-lint-markers", "warningPoint"],
    extraKeys: {
      "Ctrl-Space": "autocomplete"
    }
  };

  var onChangeHandler = function onChangeHandler(_editor, _data, _value) {
    props.onValueChange(_value);
  };

  var onCopy = function onCopy(_editor, _event) {
    MettlCodeMirror.onCopy(_editor, _event);
  };

  var onCut = function onCut(_editor, _event) {
    MettlCodeMirror.onCut(_editor, _event);
  };

  var onBeforeChange = function onBeforeChange(_editor, _data, _value, _next) {
    MettlCodeMirror.pasteOnCodeMirror(_editor, _data);

    _next();
  };

  return createElement(Fragment, null, createElement(UnControlled, {
    value: props.value,
    options: options,
    onBeforeChange: onBeforeChange,
    onChange: onChangeHandler,
    onCopy: onCopy,
    onCut: onCut
  }));
};

export default CodeMirrorView;
//# sourceMappingURL=index.modern.js.map
